@import "../vars";
@import "./mixin";

.content-preview {
	@include preview-content--container;
}

.content-preview__image {
	@include image;

	&--wrapper {
		margin-bottom: 24px;
	}
}

.content-preview__body p {
	@include content-paragraph;

	&:last-child {
		margin-bottom: 0;
	}
}

.is-style-content-preview__link {
	display: flex;
	justify-content: center;
	margin-top: 32px;

	& > .wp-block-button__link {
		display: block;
		padding: 16px 24px;
		border: 1px solid $color-black;
		border-radius: 2px;
		font-weight: 500;
		font-size: 14px;
		line-height: 17px;
		color: $color-black;
		cursor: pointer;
		transition: all ease-in 300ms;

		& > img {
			transition: all ease-in 300ms;
			margin-left: 17px;
		}

		&:hover {
			border-color: $color-acent;
			color: $color-acent;

			& > img {
				
				filter: invert(.5) sepia(1) saturate(5) hue-rotate(335deg);
			}
		}
	}
}

@media (min-width: $breackpoint-mobile) {
	.preview-left {
		display: grid;
		grid-template: "image empty body" auto / 5fr 1fr 6fr;
	}

	.preview-right {
		display: grid;
		grid-template: "body empty image" auto / 5fr 1fr 6fr;
	}

	.content-preview__image {
		@include image_full;

		&--wrapper {
			grid-area: image;
			margin: 0;
		}

		&--container {
			position: relative;
			width: 100%;
			height: 100%;
			display: flex;
			justify-content: center;
			align-items: flex-end;
			overflow: hidden;
		}
	}

	.content-preview__body {
		grid-area: body;
	}

	.is-style-content-preview__link {
		justify-content: start;
	}
}
